Skip to main content
POST
/
api
/
entities
/
custom
/
v1
/
groups
UpsertEntitiesGroup
curl --request POST \
  --url https://developer.synq.io/api/entities/custom/v1/groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "group": {
    "groupId": "<string>",
    "entityIds": [
      {
        "airflowDag": {
          "integrationId": "<string>",
          "dagId": "<string>"
        }
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
'
{
  "deletedIds": [
    {
      "airflowDag": {
        "integrationId": "<string>",
        "dagId": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
group
Group · object
required

Group is a collection of entities.

Response

200 - application/json

Success

deletedIds
(airflow_dag · object | airflow_task · object | athena_table · object | bigquery_table · object | clickhouse_table · object | custom · object | databricks_table · object | dataproduct · object | dbt_cloud_node · object | dbt_core_node · object | monitor · object | mssql_table · object | mysql_table · object | oracle_table · object | postgres_table · object | redshift_table · object | snowflake_table · object | sql_mesh_audit · object | sql_mesh_model · object | synq_path · object | trino_table · object)[]

Identifier is a unique reference to an entity in Coalesce Quality system. Entity identifiers are designed to closely mimic identifiers used by data platforms and tools. To construct an identifier, you need to know the kind of the entity and the ids that you would normally use to identify it in the data platform or tool. For example, to identify a table in BigQuery, you would need to know the project, dataset, and table names.